Bug 1829369 (CVE-2020-11793) - CVE-2020-11793 webkitgtk: use-after-free via crafted web content
Summary: CVE-2020-11793 webkitgtk: use-after-free via crafted web content
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11793
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1830827 1830828
Blocks: 1829370
TreeView+ depends on / blocked
 
Reported: 2020-04-29 13:13 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 20:10 UTC (History)
4 users (show)

Fixed In Version: webkitgtk 2.28.1
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw exists in WebKitGTK. This flaw allows remote attackers to execute arbitrary code or cause a denial of service.
Clone Of:
Environment:
Last Closed: 2020-09-29 22:00:41 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:46:12 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:05:07 UTC

Description Guilherme de Almeida Suckevicz 2020-04-29 13:13:41 UTC
A use-after-free issue exists in WebKitGTK before 2.28.1 and WPE WebKit before 2.28.1 via crafted web content that allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption and application crash).

Reference:
https://webkitgtk.org/security/WSA-2020-0004.html

Comment 2 Huzaifa S. Sidhpurwala 2020-05-04 03:21:15 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0004.html

Comment 4 errata-xmlrpc 2020-09-29 20:46:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 5 Product Security DevOps Team 2020-09-29 22:00:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11793

Comment 6 errata-xmlrpc 2020-11-04 01:05:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.